# DNB Storages

Provides functionalities for creating, retrieving, updating and deleting DNB storage, as well as managing associated 
data sources and data monitors.

 - [GET /v5/dnbstorages/dnbrecords](https://developer.cdq.com/apis/data-exchange-api/api-v5/dnb-storages/paths/~1v5~1dnbstorages~1dnbrecords/get.md): Read a page of records from the D&B storage of your organization.
 - [POST /jobs/dnbimportjobs](https://developer.cdq.com/apis/data-exchange-api/api-v5/dnb-storages/paths/~1jobs~1dnbimportjobs/post.md): To start a D&B Import Job use the following request ``` curl -X POST \ --url 'https://api.corporate-data-league.ch/data-exchange/rest/jobs/dnbimportjobs?dnbUser=optional&dnbPassword=optional' \ -
 - [GET /jobs/dnbimportjobs/{id}](https://developer.cdq.com/apis/data-exchange-api/api-v5/dnb-storages/paths/~1jobs~1dnbimportjobs~1%7Bid%7D/get.md): After you have started a D&B import job, you will receive a job id in the response. `{ "id" : "<ID>" }` Use this ID to poll for the status of the job using this endpoint. Once the status is FINISHED
 - [POST /jobs/dnbcreatelodjobs](https://developer.cdq.com/apis/data-exchange-api/api-v5/dnb-storages/paths/~1jobs~1dnbcreatelodjobs/post.md): For all data mirrors configured for an organization, read Business Partners identifiers with type `DUNS_ID` and create a list of the DUNS file. This file is used to initialize the D&B Monitoring proce
 - [GET /jobs/dnbcreatelodjobs/{id}](https://developer.cdq.com/apis/data-exchange-api/api-v5/dnb-storages/paths/~1jobs~1dnbcreatelodjobs~1%7Bid%7D/get.md): After you have started a D&B LOD job, you will receive a job id in the response. `{ "id" : "<ID>" }` Use this ID to poll for the status of the job using this endpoint. Once the status is FINISHED, y
 - [POST /v4/dnbstorages/fetch](https://developer.cdq.com/apis/data-exchange-api/api-v5/dnb-storages/paths/~1v4~1dnbstorages~1fetch/post.md): Fetch a D&B record by providing the DUNS.
